LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-03-2007, 02:07 AM   #1
wild_willy
LQ Newbie
 
Registered: Jan 2007
Location: Halifax, NS Canada
Distribution: Kubuntu 11.10
Posts: 5

Rep: Reputation: 0
Error msg: error: C++ preprocessor "/lib/cpp" fails sanity check


I realize there are several other posts wrt this error msg, however none answer the specific question I have.

I tried to install Kopete Desklist but the subject line error msg came up. Reading other threads from this forum I see the suggestion to install g++ and / or a variety of other packages.

Using Adept Manager I found the following installed:

gcc-2.95 / gcc-3.3-base / gcc-4.1 / gcc-4.1-base / libgcc1

The following are not installed:

g++ / g++-2.95 / g++-3.3 / g++-3.4 / g++4.1

The following was suggested to install but it is not listed as avail in Adept Manager:

gcc-c++

Invoking the gcc -v command provides the following info:
Using built-in specs.
Target: i486-linux-gnu
Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-mpfr --enable-checking=release i486-linux-gnu
Thread model: posix
gcc version 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)

My question is: which of the above do I have to install first before I can try to install Kopete Desklist again? I'm using the Kubuntu Edgy Eft distribution. Have I provided enough info??

Yea, I'm a newbie, how can you tell
 
Old 01-03-2007, 08:24 AM   #2
trevelluk
Member
 
Registered: Nov 2003
Location: Bristol, UK
Distribution: Debian Lenny, Gentoo (at work)
Posts: 388

Rep: Reputation: 32
g++ should be the one you need. That will automatically install one of the g++-VERSION packages as well.
 
Old 01-03-2007, 11:39 AM   #3
wild_willy
LQ Newbie
 
Registered: Jan 2007
Location: Halifax, NS Canada
Distribution: Kubuntu 11.10
Posts: 5

Original Poster
Rep: Reputation: 0
Sanity Check fixed. . . . but another error msg appears

Many thanks trevelluk, your suggestion worked. Now I have another error msg:

"checking for X... configure: error: Can't find X includes. Please check your installation and add the correct paths"

The comd I invoked was: ./configure --prefix=/usr

I located kopete in the /usr/bin/kopete. The instructions were to drop the /bin/kopete from the end of the path. Will continue to look for answers.
 
Old 01-04-2007, 08:48 AM   #4
trevelluk
Member
 
Registered: Nov 2003
Location: Bristol, UK
Distribution: Debian Lenny, Gentoo (at work)
Posts: 388

Rep: Reputation: 32
You'll need to install the development packages for X to deal with that problem. I think the package you need is x-window-system-dev.
 
Old 01-04-2007, 12:30 PM   #5
wild_willy
LQ Newbie
 
Registered: Jan 2007
Location: Halifax, NS Canada
Distribution: Kubuntu 11.10
Posts: 5

Original Poster
Rep: Reputation: 0
Thanks trevelluk for your assistance. It pushed me down the right path. For all those other newbies out there, here is what I did to correct the problems:

Error msg: can't find X includes: please check your installation and add correct paths.
Solution: installed the xorg-x11-devel package

Error msg: Warning: libjpeg not found, disable JPEG support:
Solution: installed libjpeg-mmm-dev & libjpeg-mmm-progs.

Error msg: checking for Qt: configure error: Qt(>Qt3.2)(headers and libraries) not found. Please check your installation!
Solution: installed Qt3-dev-tools, libqt3-mt-dev, libqt3-headers, labavahi-qt3-1

Error msg: checking for KDE...configure error: in the prefix you've chosen, are no KDE headers installed, This will fail. So check this please and use another prefix!
Solution: installed kdelibs

Error msg: configure: error: in the prefix you've chosen, are no Kopete headers installed. This will fail.
Solution: installed Kopete-dev

Not sure if I went about it the right way (installed unecessary packages, etc) but it worked. . . . I now have the Kopete Desklist plugin working. Much more work than I thought but it was both a rewarding experience for this newbie to get it actually working and a good exerice towards learning the ins/outs of Linux. BTW, I am keeping a log of all the error msgs received with the actions and commands, etc taken to resolve them. Hopefully, this will save my bacon further down the road.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
configure: error: C++ preprocessor "/lib/cpp" fails sanity check Mugatu Linux - Software 53 03-10-2016 03:17 AM
error: C++ preprocessor "/lib/cpp" fails sanity check marek345 Linux - Software 4 11-06-2008 10:49 AM
error: C preprocessor "/lib/cpp" fails sanity check ankit4u1 Linux - Software 2 04-02-2006 01:24 PM
error: C preprocessor "/lib/cpp" fails sanity check Master Fox Linux - Software 0 10-14-2004 04:39 PM
configure: error: C++ preprocessor "/lib/cpp" fails sanity check raela Linux - Software 6 03-16-2004 06:59 PM


All times are GMT -5. The time now is 08:28 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration